Package org.eclipse.emf.spi.cdo

## Interface InternalCDORemoteSession

- All Superinterfaces:
    `CDORemoteSession`, `java.lang.Comparable<CDORemoteSession>`

      public interface InternalCDORemoteSession
      extends CDORemoteSession

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalCDORemoteSessionManager` | `getManager()` | Returns the remote session manager that manages this remote session.
    `void` | `setSubscribed​(boolean subscribed)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteSession

      `getSessionID, getUserID, isSubscribed, sendMessage`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getManager

          InternalCDORemoteSessionManager getManager()

      Description copied from interface: `CDORemoteSession`
      Returns the remote session manager that manages this remote session.
      Specified by:
        `getManager` in interface `CDORemoteSession`

    - #### setSubscribed

          void setSubscribed​(boolean subscribed)